Ask A Question

Notifications

You’re not receiving notifications from this thread.

Using Docker with Rails on M1 Mac

Ted Martin asked in Rails

I have an M1 Mac and I always get errors for either sprocket-rails or nokogiri. I am using Ruby 3 and Rails 7. Is anyone using Docker with an M1 Mac and Ruby 3/Rails 7 with success? If so, could you share a Dockerfile and docker-compose.yml?

Thank you!

Reply

Not sure if you still need this, but if anyone on M1 Mac needs a Dockerfile and docker-compose.yml you can try my repo on github : https://github.com/hdylizardeIdP/hotwireDevTurboTutorial. I get different errors when attempting to use Chris Oliver's docker setup, which I'm playing with and may create a PR

Reply

Excellent information. I followed your advice and everything began to function; I had made a similar mistake.

Reply
Join the discussion
Create an account Log in

Want to stay up-to-date with Ruby on Rails?

Join 83,038+ developers who get early access to new tutorials, screencasts, articles, and more.

    We care about the protection of your data. Read our Privacy Policy.